Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.wizards.datatransfer
Class FileSystemImportWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.ui.wizards.datatransfer.FileSystemImportWizard

All Implemented Interfaces:
  IImportWizard, IWizard, IWorkbenchWizard

public class FileSystemImportWizard
extends Wizard
implements IImportWizard

Standard workbench wizard for importing resources from the local file system into the workspace.

This class may be instantiated and used without further configuration; this class is not intended to be subclassed.

Example:

     IWizard wizard = new FileSystemImportWizard();
     wizard.init(workbench, selection);
     WizardDialog dialog = new WizardDialog(shell, wizard);
     dialog.open();

During the call to `open`, the wizard dialog is presented to the user. When the user hits Finish, the user-selected files are imported into the workspace, the dialog closes, and the call to `open` returns.

Field Summary

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`FileSystemImportWizard()` Creates a wizard for importing resources into the workspace from the file system.

Method Summary
`void` | `addPages()` Adds any last-minute pages to this wizard.
`void` | `init(IWorkbench workbench, IStructuredSelection currentSelection)` Initializes this creation wizard using the passed workbench and object selection.
`boolean` | `performFinish()` Performs any actions appropriate in response to the user having pressed the Finish button, or refuse if finishing now is not permitted.

Methods inherited from class org.eclipse.jface.wizard.Wizard
`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Constructor Detail

### FileSystemImportWizard

    public FileSystemImportWizard()

  Creates a wizard for importing resources into the workspace from the file system.

Method Detail

### addPages

    public void addPages()

  Description copied from interface: `IWizard`
  Adds any last-minute pages to this wizard.

  This method is called just before the wizard becomes visible, to give the wizard the opportunity to add any lazily created pages.

  Specified by:
    `addPages` in interface `IWizard`
  Overrides:
    `addPages` in class `Wizard`

### init

    public void init(IWorkbench workbench,
                     IStructuredSelection currentSelection)

  Description copied from interface: `IWorkbenchWizard`
  Initializes this creation wizard using the passed workbench and object selection.

  This method is called after the no argument constructor and before other methods are called.

  Specified by:
    `init` in interface `IWorkbenchWizard`
  Parameters:
    `workbench` - the current workbench
    `currentSelection` - the current object selection

### performFinish

    public boolean performFinish()

  Description copied from interface: `IWizard`
  Performs any actions appropriate in response to the user having pressed the Finish button, or refuse if finishing now is not permitted. Normally this method is only called on the container's current wizard. However if the current wizard is a nested wizard this method will also be called on all wizards in its parent chain. Such parents may use this notification to save state etc. However, the value the parents return from this method is ignored.

  Specified by:
    `performFinish` in interface `IWizard`
  Specified by:
    `performFinish` in class `Wizard`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.